# User activity reports

## Overview

Track Control Panel user activity, including Customer Support Representatives (CSR). This feature provides comprehensive oversight over a collection of 2Checkout user actions, and can be leveraged to audit their activities.

## Availability

All 2Checkout accounts.

## Workflow

Access to user logs is governed by the **Users activity** privilege located in the **Orders & Reports** section of the [Role area](https://secure.avangate.com/cpanel/tools_role_edit.php). Follow the steps below to enable this role.

1. Go to [Account settings](https://secure.avangate.com/cpanel/index_account_settings.php) -> [Manage user access](https://secure.avangate.com/cpanel/tools_users.php).
2. Go to the [**Roles** tab](https://secure.avangate.com/cpanel/tools_roles.php).
3. Edit a specific role and check the **Users activity** option in **Account settings**.

## Run the report

1. Go to Reports center -> Users activity.
2. Select the user you want to run the report for.
3. Select the user activity you want to include in the report.
4. Choose the report interval.
5. Click **Build report**.

## Tracking functionality

The 2Checkout system is designed to track the following user actions:

* Login and log-out attempts
* Accessed pages
* Place a new order on behalf of the shopper
* Upgrade subscription on behalf of the shopper
* Change credit card information
* Cancel/Enable subscription
* Change subscription price
* Enable subscription
* Extend subscription lifetime
* Stop recurring billing for a subscription
* Enable automatic billing for a subscription
* Send shopper invoice
* Request order refund (only the amounts refunded to shoppers are displayed)
* Email Editor events

## Export as CSV

Use the **Export as CSV** functionality to generate a comma-separated values file containing additional details on top of what's available in the cPanel report.

Data exported includes:

* Date
* User name
* Activity
* Subscription reference
* Order reference
* Price/Amount
* Currency
* Billing cycles
* Comment

<table><thead><tr><th width="90.666748046875">Date</th><th width="86.39990234375">User name</th><th width="99.199951171875">Activity</th><th width="131.199951171875">Subscription reference</th><th width="113.0665283203125">Order reference</th><th width="104.5330810546875">Price/ Amount</th><th width="110.9332275390625">Currency</th><th width="91.733154296875">Billing cycles</th><th width="114.13330078125">Comment</th></tr></thead><tbody><tr><td>2014-06-10 11:46:01</td><td>John Doe</td><td>Cancel order refund</td><td>ABCD123</td><td>1234567</td><td>50</td><td>USD</td><td>1</td><td>Customer request</td></tr></tbody></table>

<details>

<summary>Is this report time zone aware?</summary>

Yes. The datetime stamps logged by the 2Checkout system reflect the time zone settings that you configured for your account.

</details>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.2checkout.com/reporting/reporting/user-activity-reports.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
